/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997-98  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: CLOSEFD.C $
   $Locker: ska $	$Name:  $	$State: Rel $

	void msg_closefd([msgCat *cat,] MSGFILE f)

	Close the file descriptor if the catalogue does no longer use it.

	If MSG_MULTIPLE_CATALOGUES is not defined, there is no first argument,
	what causes that the 'msg_glbCat' identifier refers to the global
	catalogue; otherwise it refers to the passed catalogue.

*/

#include <assert.h>
#include <io.h>
#include <stdlib.h>

#include "msg2.h"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: CLOSEFD.C 1.2 1998/10/07 04:42:53 ska Rel ska $";
#endif /*#	defined(RCS_Version) */

void msg_closefd(DCL_GCAT MSGFILE f)
{	int i;
	msgGrpDef *grp;

	for(grp = aS(GCAT groups[0]), i = MSGGROUPMAX; i--; sInc(grp))
		if(grp->file == f)
			return;		/* still in use */

	close(f);			/* not in use */
}
