/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997-98  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $Id: MSG2_CFG.H 1.3 1998/10/07 04:42:53 ska Rel ska $
   $Locker: ska $	$Name:  $	$State: Rel $

	Configuration for the message library access method #2

*/

#ifndef __MSG2_CFG_H
#define __MSG2_CFG_H

/*
 *	MSG_MULTIPLE_CATALOGUES
 *	Uncomment this macro to allow to use more than one catalogue.
 *	The msgCat structure is dynamically allocated for each catalogue.
 *
 *	This functionality is most useful for the HP message retrieval system,
 *	see catopen(), catgets() etc. If this macro is disabled, catopen()
 *	acts like msgCatalogue() and returns the built-in default catalogue.
 *
 *	All msglib functions, e.g. msgCatalogue(), msgDatabase(), msgLock(),
 *	and msgRetrieve(), use the global catalogue 'msg_glbCat'.
 */
#define MSG_MULTIPLE_CATALOGUES	1


/*
 *	MSG_SINGLE_CATALOGUE_FILE
 *	Uncomment this macro, if msglib shall not support user-defined
 *	catalogues. Only the default (standard) catalogues are used then.
 *
 *	The functions msgCatalogue() and msgDatabase() are ignored.
 *
 *	However, if MSG_MULTIPLE_CATALOGUES is defined, catopen() etc. still
 *	work.
 */
/*	#define MSG_SINGLE_CATALOGUE_FILE 1		*/

#endif /*#	!defined(__MSG2_CFG_H) */
