/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997-98  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: MSG2LOCK.C $
   $Locker: ska $	$Name:  $	$State: Rel $

	char *msg2Lock(MSGID2 id)

	Fetch message with the id from the global catalogue
	If failed, generate a default message.

	Return:
		always != NULL; a pointer to a valid NUL-terminated string

*/

#include <assert.h>

#include "msg2.h"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: MSG2LOCK.C 1.4 1998/10/07 04:42:53 ska Rel ska $";
#endif /*#	defined(RCS_Version) */

char *msg2Lock(MSGID2 id)
{	
	MsgStr *msg;

	/* Lock the message */
	msg = msg2MsgLock(id);
	assert(msg);

	/* Return the 'text' member */
	return msg->text;
}
